net.sf.jasperreports.web.servlets

## Enum ReportExecutionStatus.Status

- java.lang.Object
- - java.lang.Enum<ReportExecutionStatus.Status>
  - - net.sf.jasperreports.web.servlets.ReportExecutionStatus.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReportExecutionStatus.Status>
  Enclosing class:
    ReportExecutionStatus

      public static enum ReportExecutionStatus.Status
      extends java.lang.Enum<ReportExecutionStatus.Status>

  Report execution statuses.
  See Also:
    `JasperPrintAccessor.getReportStatus()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELED` The report execution was canceled by the user.
    `ERROR` There was an error during the report execution.
    `FINISHED` The report execution has finished successfully.
    `RUNNING` The report execution is in progress.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReportExecutionStatus.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReportExecutionStatus.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RUNNING

          public static final ReportExecutionStatus.Status RUNNING

      The report execution is in progress.

    - #### FINISHED

          public static final ReportExecutionStatus.Status FINISHED

      The report execution has finished successfully.

    - #### ERROR

          public static final ReportExecutionStatus.Status ERROR

      There was an error during the report execution.
      See Also:
        `ReportExecutionStatus.getError()`

    - #### CANCELED

          public static final ReportExecutionStatus.Status CANCELED

      The report execution was canceled by the user.

  - ### Method Detail

    - #### values

          public static ReportExecutionStatus.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReportExecutionStatus.Status c : ReportExecutionStatus.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReportExecutionStatus.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com